Bug 426687 - The hover effects for the titlebar buttons are missing in the Breeze GTK theme
Summary: The hover effects for the titlebar buttons are missing in the Breeze GTK theme
Status: RESOLVED FIXED
Alias: None
Product: Breeze
Classification: Plasma
Component: gtk theme (show other bugs)
Version: 5.19.90
Platform: Archlinux Linux
: VHI normal
Target Milestone: ---
Assignee: Janet Blackquill
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2020-09-18 14:03 UTC by Reiddragon
Modified: 2020-09-24 18:14 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.20


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Reiddragon 2020-09-18 14:03:18 UTC
SUMMARY
The hover animation for the titlebar buttons is missing in the Breeze GTK theme

STEPS TO REPRODUCE
1. open any application using GTK CSD
2. hover over the window controls (minimize, maximize, close buttons)

OBSERVED RESULT
the hover animation is missing

EXPECTED RESULT
there's supposed to be a hover animation similar to the Kwin Server Side Decorations

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: Arch Linux
KDE Plasma Version: 5.19.90
KDE Frameworks Version: 5.74.0
Qt Version: 5.15.1
Comment 1 Mikhail Zolotukhin 2020-09-18 14:39:55 UTC
Were there animations in the previous Plasma versions?
Comment 2 Reiddragon 2020-09-18 17:32:57 UTC
(In reply to Mikhail Zolotukhin from comment #1)
> Were there animations in the previous Plasma versions?

yes, the panel is supposed to slide in and out in a similar way to Krunner or the Windows taskbar
Comment 3 Nate Graham 2020-09-18 22:38:07 UTC
Just the animation is missing, or the whole hover effect entirely?
Comment 4 Reiddragon 2020-09-19 07:37:21 UTC
(In reply to Nate Graham from comment #3)
> Just the animation is missing, or the whole hover effect entirely?

whole hover effect, I could've phrased that better
(I should stop writing bug reports when I'm too tired to think)
Comment 5 Mikhail Zolotukhin 2020-09-19 08:23:48 UTC
This is kinda strange. I did encountered this bug during development, but then specifically wrote a workaround to avoid it. Could you confirm, that if you disable animations in the Breeze decoration settings, the hover effects works?
Comment 6 Reiddragon 2020-09-19 08:29:10 UTC
(In reply to Mikhail Zolotukhin from comment #5)
> This is kinda strange. I did encountered this bug during development, but
> then specifically wrote a workaround to avoid it. Could you confirm, that if
> you disable animations in the Breeze decoration settings, the hover effects
> works?

I'm sorry I don't see any option to disable animations in the Breeze decoration settings
Comment 7 Mikhail Zolotukhin 2020-09-19 16:57:57 UTC
Huh? Indeed this setting is gone in the last dev iso. This explains why it is not working. The hack I used was the to temporary disable animations setting and then enable them for the moment the button is drawn.
Comment 8 Nate Graham 2020-09-21 04:27:33 UTC
Yep, I can confirm the whole hover effect is missing. However disabling animations with the global speed slider in System Settings > Workspace Behavior > General Behavior does not fix it for me.
Comment 9 Mikhail Zolotukhin 2020-09-21 09:02:27 UTC
(In reply to Nate Graham from comment #8)
> Yep, I can confirm the whole hover effect is missing. However disabling
> animations with the global speed slider in System Settings > Workspace
> Behavior > General Behavior does not fix it for me.

What if you disable animations globally and then change decoration theme back and forth?
Comment 10 Nate Graham 2020-09-21 14:06:35 UTC
No dice, sorry. :)
Comment 11 Vlad Zahorodnii 2020-09-24 10:59:02 UTC
(In reply to Nate Graham from comment #10)
> No dice, sorry. :)
Hmm, for me, it worked.
Comment 12 Nate Graham 2020-09-24 13:46:03 UTC
Oh, that's good news. Probably my setup is somehow unreliable then.
Comment 13 Bug Janitor Service 2020-09-24 14:12:24 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kde-gtk-config/-/merge_requests/12